Package ru.bitel.bgbilling.plugins.documents.common.bean

# Enum Class SupportedFileFormat

java.lang.Object
java.lang.Enum<SupportedFileFormat>
ru.bitel.bgbilling.plugins.documents.common.bean.SupportedFileFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<SupportedFileFormat>`, `Constable`

public enum SupportedFileFormat extends Enum<SupportedFileFormat>
Перечисление с поддерживаемыми форматами документов, с которыми работает плагин. При необходимости можно дополнять новыми форматами.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DOCX`
  `ODT`
  `XLSX`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getExtensionId()`
  `String`
  `getExtensionTitle()`
  `static SupportedFileFormat`
  `getSupportedFormat(String extension)`
  `static SupportedFileFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SupportedFileFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DOCX

    public static final SupportedFileFormat DOCX

  - ### XLSX

    public static final SupportedFileFormat XLSX

  - ### ODT

    public static final SupportedFileFormat ODT

- ## Method Details

  - ### values

    public static SupportedFileFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SupportedFileFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getExtensionId

    public int getExtensionId()

  - ### getExtensionTitle

    public String getExtensionTitle()

  - ### getSupportedFormat

    public static SupportedFileFormat getSupportedFormat(String extension)